package icu.fur93.esp32_car.ui.carditem

import android.annotation.SuppressLint
import androidx.compose.runtime.Composable
import icu.fur93.esp32_car.entity.car.ConnectionInfoState
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCardItemText

@SuppressLint("ComposableNaming")
@Composable
fun StatusCardInfo(deviceInfo: ConnectionInfoState) : CardItem {
    return CardItem(
        title = "当前连接",
        content = {
            StatusCardItemText("名称  ${deviceInfo.name}")
            StatusCardItemText("Mac  ${deviceInfo.address}")
            StatusCardItemText("版本  ${deviceInfo.version}")
        }
    )
}