package icu.fur93.esp32_car.ui.carditem

import android.annotation.SuppressLint
import androidx.compose.runtime.Composable
import icu.fur93.esp32_car.entity.control.JoystickState
import icu.fur93.esp32_car.ui.component.CardItem
import icu.fur93.esp32_car.ui.component.StatusCardItemText
import icu.fur93.esp32_car.ui.component.format

@SuppressLint("ComposableNaming")
@Composable
fun StatusCardJoystickStatus (joystickState: JoystickState) : CardItem {
    return CardItem(
        title = "摇杆状态",
        content = {
            StatusCardItemText("X  ${joystickState.x.format(2)}")
            StatusCardItemText("Y  ${joystickState.y.format(2)}")
        }
    )
}