package icu.fur93.esp32_car.const

object CarCommands {
    const val PACKET_T_HEAD = 0x00u
    const val PACKET_T_TAIL = 0xFFu
    const val PACKET_R_HEAD = 0x01u
    const val PACKET_R_TAIL = 0xFEu
    const val PACKET_MAX_LENGTH = 32u

    const val CMD_GET_BT_STATUS = 0x10u
    const val CMD_GET_SPIFFS_STATUS = 0x11u
    const val CMD_GET_DISTANCE = 0x12u

    const val CMD_SET_NAME = 0xa1u
    const val CMD_SET_PID = 0xa2u

    const val CMD_MOTOR_MOVE_CONTROL = 0x20u
    const val CMD_MOTOR_STEER_CONTROL = 0x21u
    const val CMD_MOTOR_SINGLE_CONTROL = 0x22u
    const val CMD_MOTOR_ROTATE_CONTROL = 0x23u
    const val CMD_MOTOR_XYR_CONTROL = 0x24u
    const val CMD_DEMO_PID = 0xf0u
    const val CMD_DEMO_PATH = 0xf1u

    const val CMD_STATUS = 0xE0u
}