package icu.fur93.esp32_car.entity

import android.bluetooth.BluetoothDevice

data class BleDevice(
    val device: BluetoothDevice,
    val rssi: Int,
    val scanRecord: ByteArray? = null
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false
        other as BleDevice
        return device.address == other.device.address
    }

    override fun hashCode(): Int = device.address.hashCode()
}